#version 330

layout(location = 0) in vec2 vpos;
layout(location = 1) in vec2 tex;

noperspective out vec2 fragTex;

layout (std140) uniform Matrices {
 
    mat4 projMatrix;
    mat4 viewMatrix;
    mat4 modelMatrix;
};

 layout (std140) uniform PreviousMatrices {
 
    mat4 prevProjMatrix;
    mat4 prevViewMatrix;
    mat4 prevModelMatrix;
};

in vec3 position;
in vec3 normal;
in vec2 uvPosition;
 
//out vec3 fragVert;
//out vec2 fragTexCoord;
//out vec3 fragNormal;

void main()
{
    fragTex = tex;
	gl_Position = vec4(vpos, 0.0, 1.0);

}